SELECT
    T1.UF,
    T1.CLUSTER,	
    
    CONCAT(
    LPAD(ROUND(IFNULL((T1.AVGLOST_CLASS_4-MIN(T2.AVGLOST_CLASS_4))/(MAX(T2.AVGLOST_CLASS_4)-MIN(T2.AVGLOST_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGLOST_CLASS_3-MIN(T2.AVGLOST_CLASS_3))/(MAX(T2.AVGLOST_CLASS_3)-MIN(T2.AVGLOST_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGLOST_CLASS_2-MIN(T2.AVGLOST_CLASS_2))/(MAX(T2.AVGLOST_CLASS_2)-MIN(T2.AVGLOST_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.AVGLOST_CLASS_1-MIN(T2.AVGLOST_CLASS_1))/(MAX(T2.AVGLOST_CLASS_1)-MIN(T2.AVGLOST_CLASS_1))*9999,0),0),4,0)
    )AS AVGLOST_RANK,
	
	CONCAT(
    LPAD(ROUND(IFNULL((T1.MAXLOST_CLASS_4-MIN(T2.MAXLOST_CLASS_4))/(MAX(T2.MAXLOST_CLASS_4)-MIN(T2.MAXLOST_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXLOST_CLASS_3-MIN(T2.MAXLOST_CLASS_3))/(MAX(T2.MAXLOST_CLASS_3)-MIN(T2.MAXLOST_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXLOST_CLASS_2-MIN(T2.MAXLOST_CLASS_2))/(MAX(T2.MAXLOST_CLASS_2)-MIN(T2.MAXLOST_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.MAXLOST_CLASS_1-MIN(T2.MAXLOST_CLASS_1))/(MAX(T2.MAXLOST_CLASS_1)-MIN(T2.MAXLOST_CLASS_1))*9999,0),0),4,0)
    )AS MAXLOST_RANK,
	
	CONCAT(
    LPAD(ROUND(IFNULL((T1.AVGDELAY_CLASS_4-MIN(T2.AVGDELAY_CLASS_4))/(MAX(T2.AVGDELAY_CLASS_4)-MIN(T2.AVGDELAY_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGDELAY_CLASS_3-MIN(T2.AVGDELAY_CLASS_3))/(MAX(T2.AVGDELAY_CLASS_3)-MIN(T2.AVGDELAY_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGDELAY_CLASS_2-MIN(T2.AVGDELAY_CLASS_2))/(MAX(T2.AVGDELAY_CLASS_2)-MIN(T2.AVGDELAY_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.AVGDELAY_CLASS_1-MIN(T2.AVGDELAY_CLASS_1))/(MAX(T2.AVGDELAY_CLASS_1)-MIN(T2.AVGDELAY_CLASS_1))*9999,0),0),4,0)
    )AS AVGDELAY_RANK,
	
	CONCAT(
    LPAD(ROUND(IFNULL((T1.MAXDELAY_CLASS_4-MIN(T2.MAXDELAY_CLASS_4))/(MAX(T2.MAXDELAY_CLASS_4)-MIN(T2.MAXDELAY_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXDELAY_CLASS_3-MIN(T2.MAXDELAY_CLASS_3))/(MAX(T2.MAXDELAY_CLASS_3)-MIN(T2.MAXDELAY_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXDELAY_CLASS_2-MIN(T2.MAXDELAY_CLASS_2))/(MAX(T2.MAXDELAY_CLASS_2)-MIN(T2.MAXDELAY_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.MAXDELAY_CLASS_1-MIN(T2.MAXDELAY_CLASS_1))/(MAX(T2.MAXDELAY_CLASS_1)-MIN(T2.MAXDELAY_CLASS_1))*9999,0),0),4,0)
    )AS MAXDELAY_RANK,
	
	CONCAT(
    LPAD(ROUND(IFNULL((T1.AVGJITTER_CLASS_4-MIN(T2.AVGJITTER_CLASS_4))/(MAX(T2.AVGJITTER_CLASS_4)-MIN(T2.AVGJITTER_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGJITTER_CLASS_3-MIN(T2.AVGJITTER_CLASS_3))/(MAX(T2.AVGJITTER_CLASS_3)-MIN(T2.AVGJITTER_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.AVGJITTER_CLASS_2-MIN(T2.AVGJITTER_CLASS_2))/(MAX(T2.AVGJITTER_CLASS_2)-MIN(T2.AVGJITTER_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.AVGJITTER_CLASS_1-MIN(T2.AVGJITTER_CLASS_1))/(MAX(T2.AVGJITTER_CLASS_1)-MIN(T2.AVGJITTER_CLASS_1))*9999,0),0),4,0)
    )AS AVGJITTER_RANK,
	
	CONCAT(
    LPAD(ROUND(IFNULL((T1.MAXJITTER_CLASS_4-MIN(T2.MAXJITTER_CLASS_4))/(MAX(T2.MAXJITTER_CLASS_4)-MIN(T2.MAXJITTER_CLASS_4))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXJITTER_CLASS_3-MIN(T2.MAXJITTER_CLASS_3))/(MAX(T2.MAXJITTER_CLASS_3)-MIN(T2.MAXJITTER_CLASS_3))*9999,0),0),4,0)
    ,
    LPAD(ROUND(IFNULL((T1.MAXJITTER_CLASS_2-MIN(T2.MAXJITTER_CLASS_2))/(MAX(T2.MAXJITTER_CLASS_2)-MIN(T2.MAXJITTER_CLASS_2))*9999,0),0),4,0)
    ,    
    LPAD(ROUND(IFNULL((T1.MAXJITTER_CLASS_1-MIN(T2.MAXJITTER_CLASS_1))/(MAX(T2.MAXJITTER_CLASS_1)-MIN(T2.MAXJITTER_CLASS_1))*9999,0),0),4,0)
    )AS MAXJITTER_RANK
	
FROM
    (
    SELECT 
        UF,
        CLUSTER,
		sum(AVGLOST_CLASS_1)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_1,
		sum(AVGLOST_CLASS_2)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_2,
		sum(AVGLOST_CLASS_3)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_3,
		sum(AVGLOST_CLASS_4)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_4,
		sum(MAXLOST_CLASS_1)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_1,
		sum(MAXLOST_CLASS_2)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_2,
		sum(MAXLOST_CLASS_3)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_3,
		sum(MAXLOST_CLASS_4)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_4,		
		sum(AVGDELAY_CLASS_1)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_1,
		sum(AVGDELAY_CLASS_2)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_2,
		sum(AVGDELAY_CLASS_3)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_3,
		sum(AVGDELAY_CLASS_4)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_4,
		sum(MAXDELAY_CLASS_1)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_1,
		sum(MAXDELAY_CLASS_2)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_2,
		sum(MAXDELAY_CLASS_3)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_3,
		sum(MAXDELAY_CLASS_4)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_4,
		sum(AVGJITTER_CLASS_1)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_1,
		sum(AVGJITTER_CLASS_2)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_2,
		sum(AVGJITTER_CLASS_3)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_3,
		sum(AVGJITTER_CLASS_4)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_4,
		sum(MAXJITTER_CLASS_1)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_1,
		sum(MAXJITTER_CLASS_2)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_2,
		sum(MAXJITTER_CLASS_3)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_3,
		sum(MAXJITTER_CLASS_4)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_4
    FROM 
        npm.tx_3g_dash 
    WHERE
        DATETIME > curdate() - INTERVAL 10 DAY
    GROUP BY
        UF,
        CLUSTER
    ) AS T1
JOIN
    (
    SELECT 
        UF,
        CLUSTER,
		sum(AVGLOST_CLASS_1)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_1,
		sum(AVGLOST_CLASS_2)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_2,
		sum(AVGLOST_CLASS_3)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_3,
		sum(AVGLOST_CLASS_4)/sum(AVGLOST_CLASS_1+AVGLOST_CLASS_2+AVGLOST_CLASS_3+AVGLOST_CLASS_4) as AVGLOST_CLASS_4,
		sum(MAXLOST_CLASS_1)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_1,
		sum(MAXLOST_CLASS_2)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_2,
		sum(MAXLOST_CLASS_3)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_3,
		sum(MAXLOST_CLASS_4)/sum(MAXLOST_CLASS_1+MAXLOST_CLASS_2+MAXLOST_CLASS_3+MAXLOST_CLASS_4) as MAXLOST_CLASS_4,		
		sum(AVGDELAY_CLASS_1)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_1,
		sum(AVGDELAY_CLASS_2)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_2,
		sum(AVGDELAY_CLASS_3)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_3,
		sum(AVGDELAY_CLASS_4)/sum(AVGDELAY_CLASS_1+AVGDELAY_CLASS_2+AVGDELAY_CLASS_3+AVGDELAY_CLASS_4) as AVGDELAY_CLASS_4,
		sum(MAXDELAY_CLASS_1)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_1,
		sum(MAXDELAY_CLASS_2)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_2,
		sum(MAXDELAY_CLASS_3)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_3,
		sum(MAXDELAY_CLASS_4)/sum(MAXDELAY_CLASS_1+MAXDELAY_CLASS_2+MAXDELAY_CLASS_3+MAXDELAY_CLASS_4) as MAXDELAY_CLASS_4,
		sum(AVGJITTER_CLASS_1)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_1,
		sum(AVGJITTER_CLASS_2)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_2,
		sum(AVGJITTER_CLASS_3)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_3,
		sum(AVGJITTER_CLASS_4)/sum(AVGJITTER_CLASS_1+AVGJITTER_CLASS_2+AVGJITTER_CLASS_3+AVGJITTER_CLASS_4) as AVGJITTER_CLASS_4,
		sum(MAXJITTER_CLASS_1)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_1,
		sum(MAXJITTER_CLASS_2)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_2,
		sum(MAXJITTER_CLASS_3)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_3,
		sum(MAXJITTER_CLASS_4)/sum(MAXJITTER_CLASS_1+MAXJITTER_CLASS_2+MAXJITTER_CLASS_3+MAXJITTER_CLASS_4) as MAXJITTER_CLASS_4
    FROM 
        npm.tx_3g_dash 
    WHERE
        DATETIME > curdate() - INTERVAL 10 DAY
    GROUP BY
        UF,
        CLUSTER
    ) AS T2
ON 
    T1.UF=T2.UF
WHERE 
	T1.CLUSTER IS NOT NULL AND T1.CLUSTER!=''
GROUP BY
    T1.UF,
    T1.CLUSTER